I2C_IO

Syntax: I2C_IO (cmd$, res_len [,device [,param ]] )
Location: Minerva extensions

This function allows you to access the battery backed clock, RAM and other interfaces provided by Minerva MKII, through what is known as the I2C bus.  The results of the function will be returned by way of a string.

The cmd$ should contain a series of bytes which are sent to the I2C bus to be sent to the device pointed to by the other parameters.  This is normally a byte whfollowed by the parameters for that command.

For the battery backed clock and RAM supplied with Minerva MKII, there are only three commands which are required:

CHR$(164) - Write param bytes to the specified device.
            The first byte to be written should in
            fact be the memory address to write to.
            param can be altered by preceding the
            command character in the cmd$ by the number
            of bytes to write (eg.
            CMD$=CHR$(6)&CHR$(164)&CHR$(36)&'HELLO'
            will write the string 'HELLO' to memory
            address 36 in the RAM).

            If you only use this to write one byte,
            then this will merely set the memory
            address for access by further Write or
            Read commands.

CHR$(188) - Read param bytes from the specified
            device.  Again, you can precede this
            command character by the number of bytes
            to be read if you wish.

CHR$(255) - This signifies the end of the command
            string.


The other parameters allowed by the function are:

res_len signifies the expected length of the return
        string, which must not be too short!!

Device signifies which device is to be accessed.
       The value 80 is used to access the battery
       backed RAM.

Param depends upon the command being sent via cmd$.

The on-board RAM has specific allocations - refer to documentation.
